/*---------------------------------------------------------------------
 * $Id: listWMres.c,v 1.1 1993/12/28 01:09:56 carlson Exp $
 *
 * This program lists the resources set up in the window manager.
 *
 * Revision History:
 *	$Log: listWMres.c,v $
 * Revision 1.1  1993/12/28  01:09:56  carlson
 * Initial revision
 *
 *---------------------------------------------------------------------*/

#include <X11/Xlib.h>
#include <X11/Xutil.h>
#include <X11/Xos.h>
#include <X11/Xatom.h>

#include <stdio.h>

Display *display;

main (int argc, char *argv[])
{
    char	*resources, *display_name;

    display_name = XDisplayName (NULL);
    if ((display = XOpenDisplay (display_name)) == NULL)
    {
	fprintf (stderr, "Cannot connect to X server %s\n", display_name);
	exit (-1);
    }

    resources = XResourceManagerString (display);

    if (resources == NULL)
    {
	fprintf (stderr, "No resource manager string found.\n");
	exit (-2);
    }

    printf ("%s", resources);
}
